| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Static Public Attributes
com.symantec.sepm.webservice.client.RiskEventInfo Class Reference

Provides detailed information about an individual risk event that was found if a Power Eraser command was issued with a command type of "Scan" or "ScanWithRootkit.". More...

## Public Member Functions
String | getEventId ()
| Gets the event ID of the risk event. More...
void | setEventId (String eventId)
| Sets the event ID. More...
String | getDateTime ()
| Gets the date and time when the risk event was found. More...
void | setDateTime (String dateTime)
| Sets the date and time. More...
String | getEvent ()
| Gets the event description string that is displayed in the management console when a risk event is logged. More...
void | setEvent (String event)
| Sets the event description. More...
String | getAction ()
| Gets the action that was taken on the risk event. More...
void | setAction (String action)
| Sets the action that was taken on the risk event. More...
String | getWebDomain ()
| Gets the web domain of the client computer where the risk event was detected. More...
void | setWebDomain (String webDomain)
| Sets the web domain. More...
String | getRiskName ()
| Gets the name of the risk that was detected. More...
void | setRiskName (String riskName)
| Sets the name of the risk. More...
String | getUserName ()
| Gets the user name on the client computer where the risk event was detected. More...
void | setUserName (String userName)
| Sets the user name. More...
String | getComputerName ()
| Gets the computer name of the client computer where the risk event was detected. More...
void | setComputerName (String computerName)
| Sets the computer name. More...
String | getDomainName ()
| Gets the name of the Symantec Endpoint Protection Manager domain to which the client computer where the risk was detected belongs. More...
void | setDomainName (String domainName)
| Sets the domain name. More...
String | getOperatingSystem ()
| Gets the operating system of the client computer where the risk event was detected. More...
void | setOperatingSystem (String operatingSystem)
| Sets the operating system. More...
int | getCount ()
| Gets the number of risks that were found for the individual risk event. More...
void | setCount (int count)
| Sets the number of risks that were found. More...
String | isUserAllowed ()
| Gets whether the risk event was allowed by a user-defined exception. More...
void | setUserAllowed (String userAllowed)
| Sets whether the risk event was allowed by a user-defined exception. More...
String | getGroupName ()
| Gets the name of the Symantec Endpoint Protection Manager group to which the client computer where the risk was detected belongs. More...
void | setGroupName (String groupName)
| Sets the name of the Symantec Endpoint Protection Manager group. More...
String | getScanGUID ()
| Gets the GUID of the scan that found the RiskEventInfo item. More...
void | setScanGUID (String scanGUID)
| Sets the GUID of the scan that found the item. More...
String | getFilePath ()
| Gets the file path of the RiskEventInfo item that was found. More...
void | setFilePath (String filePath)
| Sets the file path of the RiskEventInfo item. More...
String | getSource ()
| Gets the name of the source scan that detected the risk event. More...
void | setSource (String source)
| Sets the name of the source scan. More...
String | getComputerId ()
| Gets the computer ID of the client computer where the risk event was detected. More...
void | setComputerId (String computerId)
| Sets the computer ID of the client computer. More...

## Static Public Attributes
static final String | RISK_SOURCE_TYPE_POWER_ERASER = "PowerEraser"

## Detailed Description

Provides detailed information about an individual risk event that was found if a Power Eraser command was issued with a command type of "Scan" or "ScanWithRootkit.".

The scanGUID and filePath fields of this object are required by the other methods that are called if you issue a Power Eraser command with a command type of "Remove" or "Restore."

See also
  getScanGUID()
  getFilePath()
  PowerEraserScanItem

The eventID field is required by the acknowledgeRiskEventEntries() method of the ClientService().

See also
  getEventId()

## Member Function Documentation

String com.symantec.sepm.webservice.client.RiskEventInfo.getEventId | ( |  | ) |

Gets the event ID of the risk event.

This value is passed to the acknowledgeRiskEventEntries() web method.

See also
  acknowledgeRiskEventEntries

Returns
  string that contains the ID for the risk event

void com.symantec.sepm.webservice.client.RiskEventInfo.setEventId | ( | String | eventId | ) |

Sets the event ID.

Parameters

  eventId | string that contains the event ID

String com.symantec.sepm.webservice.client.RiskEventInfo.getDateTime | ( |  | ) |

Gets the date and time when the risk event was found.

Returns
  string that contains the date and time information for the risk event

void com.symantec.sepm.webservice.client.RiskEventInfo.setDateTime | ( | String | dateTime | ) |

Sets the date and time.

Parameters

  dateTime | string that contains the date and time information

String com.symantec.sepm.webservice.client.RiskEventInfo.getEvent | ( |  | ) |

Gets the event description string that is displayed in the management console when a risk event is logged.

Returns
  string that contains the event description

void com.symantec.sepm.webservice.client.RiskEventInfo.setEvent | ( | String | event | ) |

Sets the event description.

Parameters

  event | string that contains the event description

String com.symantec.sepm.webservice.client.RiskEventInfo.getAction | ( |  | ) |

Gets the action that was taken on the risk event.

Returns
  string that contains the action that was taken on the risk

void com.symantec.sepm.webservice.client.RiskEventInfo.setAction | ( | String | action | ) |

Sets the action that was taken on the risk event.

Parameters

  action | string that contains the action

String com.symantec.sepm.webservice.client.RiskEventInfo.getWebDomain | ( |  | ) |

Gets the web domain of the client computer where the risk event was detected.

Returns
  string that contains the web domain of the client computer

void com.symantec.sepm.webservice.client.RiskEventInfo.setWebDomain | ( | String | webDomain | ) |

Sets the web domain.

Parameters

  webDomain | string that contains the web domain

String com.symantec.sepm.webservice.client.RiskEventInfo.getRiskName | ( |  | ) |

Gets the name of the risk that was detected.

Returns
  string that contains the risk name

void com.symantec.sepm.webservice.client.RiskEventInfo.setRiskName | ( | String | riskName | ) |

Sets the name of the risk.

Parameters

  riskName | string that contains the risk name

String com.symantec.sepm.webservice.client.RiskEventInfo.getUserName | ( |  | ) |

Gets the user name on the client computer where the risk event was detected.

Returns
  string that contains the user name

void com.symantec.sepm.webservice.client.RiskEventInfo.setUserName | ( | String | userName | ) |

Sets the user name.

Parameters

  userName | string that contains the user name

String com.symantec.sepm.webservice.client.RiskEventInfo.getComputerName | ( |  | ) |

Gets the computer name of the client computer where the risk event was detected.

Returns
  string that contains the computer name

void com.symantec.sepm.webservice.client.RiskEventInfo.setComputerName | ( | String | computerName | ) |

Sets the computer name.

Parameters

  computerName | string that contains the computer name

String com.symantec.sepm.webservice.client.RiskEventInfo.getDomainName | ( |  | ) |

Gets the name of the Symantec Endpoint Protection Manager domain to which the client computer where the risk was detected belongs.

Returns
  string that contains the domain name

void com.symantec.sepm.webservice.client.RiskEventInfo.setDomainName | ( | String | domainName | ) |

Sets the domain name.

Parameters

  domainName | string that contains the domain name

String com.symantec.sepm.webservice.client.RiskEventInfo.getOperatingSystem | ( |  | ) |

Gets the operating system of the client computer where the risk event was detected.

Returns
  string that contains the name of the operating system

void com.symantec.sepm.webservice.client.RiskEventInfo.setOperatingSystem | ( | String | operatingSystem | ) |

Sets the operating system.

Parameters

  operatingSystem | string that contains the name of the operating system

int com.symantec.sepm.webservice.client.RiskEventInfo.getCount | ( |  | ) |

Gets the number of risks that were found for the individual risk event.

Returns
  int that specifies the number of risks

void com.symantec.sepm.webservice.client.RiskEventInfo.setCount | ( | int | count | ) |

Sets the number of risks that were found.

Parameters

  virusCount | int that specifies the number of risks

String com.symantec.sepm.webservice.client.RiskEventInfo.isUserAllowed | ( |  | ) |

Gets whether the risk event was allowed by a user-defined exception.

User-defined exceptions are configured on the client computer. Possible values are:

- "No" – risk event was not allowed
- "Yes" – risk event was allowed

Returns
  string that specifies whether the risk event was allowed

void com.symantec.sepm.webservice.client.RiskEventInfo.setUserAllowed | ( | String | userAllowed | ) |

Sets whether the risk event was allowed by a user-defined exception.

Parameters

  userAllowed | string that specifies whether the risk event was allowed

String com.symantec.sepm.webservice.client.RiskEventInfo.getGroupName | ( |  | ) |

Gets the name of the Symantec Endpoint Protection Manager group to which the client computer where the risk was detected belongs.

Returns
  string that contains the group name

void com.symantec.sepm.webservice.client.RiskEventInfo.setGroupName | ( | String | groupName | ) |

Sets the name of the Symantec Endpoint Protection Manager group.

Parameters

  groupName | string that contains the group name

String com.symantec.sepm.webservice.client.RiskEventInfo.getScanGUID | ( |  | ) |

Gets the GUID of the scan that found the RiskEventInfo item.

You call this method to obtain the scanGUID argument that you pass to the setScanGUID() method of the PowerEraserScanItem class.

Returns
  string that contains the GUID of the scan that was run

void com.symantec.sepm.webservice.client.RiskEventInfo.setScanGUID | ( | String | scanGUID | ) |

Sets the GUID of the scan that found the item.

Parameters

  scanGUID | string that contains the GUID of the scan

String com.symantec.sepm.webservice.client.RiskEventInfo.getFilePath | ( |  | ) |

Gets the file path of the RiskEventInfo item that was found.

You call this method to obtain the filePath argument that you pass to the setFilePath() method of the PowerEraserScanItem class.

Returns
  string that contains the file path of the RiskEventInfo item

void com.symantec.sepm.webservice.client.RiskEventInfo.setFilePath | ( | String | filePath | ) |

Sets the file path of the RiskEventInfo item.

Parameters

  filePath | string that contains the file path

String com.symantec.sepm.webservice.client.RiskEventInfo.getSource | ( |  | ) |

Gets the name of the source scan that detected the risk event.

Should be "PowerEraser Scan."

Returns
  string that contains the name of the source scan

void com.symantec.sepm.webservice.client.RiskEventInfo.setSource | ( | String | source | ) |

Sets the name of the source scan.

Parameters

  source | string that contains the name of the source scan

String com.symantec.sepm.webservice.client.RiskEventInfo.getComputerId | ( |  | ) |

Gets the computer ID of the client computer where the risk event was detected.

Returns
  string that contains the computer ID of the client computer

void com.symantec.sepm.webservice.client.RiskEventInfo.setComputerId | ( | String | computerId | ) |

Sets the computer ID of the client computer.

Parameters

  computerId | string that contains the computer ID

## Member Data Documentation

final String com.symantec.sepm.webservice.client.RiskEventInfo.RISK_SOURCE_TYPE_POWER_ERASER = "PowerEraser"
| static